%define majver %(echo %version | cut -d. -f 1-2)
%define with_libproxy 1
Name:          glib-networking
Version:       2.62.3
Release:       1mamba
Summary:       Networking support for GLib
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://www.gnome.org
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/glib-networking/%{majver}/glib-networking-%{version}.tar.xz
License:       LGPL
BuildRequires: intltool
## AUTOBUILDREQ-BEGIN
BuildRequires: ca-certificates
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
%if %with_libproxy
BuildRequires: libproxy-devel
%endif
BuildRequires: libselinux-devel
BuildRequires: libtasn1-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gsettings-desktop-schemas-devel
Requires:      ca-certificates
Requires:      gsettings-desktop-schemas
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains modules that extend the networking support in GIO.
In particular, it contains a libproxy-based GProxyResolver implementation and a gnutls-based GTlsConnection implementation.

%prep
%setup -q

%build
%meson \
%if %with_libproxy
   -Dlibproxy_support=true \
%else
   -Dlibproxy_support=false \
%endif
   -Dinstalled_tests=false \
   -Dca-certificates_path=%{_sysconfdir}/pki/tls/certs/ca-bundle.crt

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export DESTDIR=%{buildroot}
%meson_install

#testfilesdir=%{_datadir}/%{name}/tests/

rm -rf %{buildroot}%{_libdir}/gio/modules/*.*a

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%{_bindir}/gio-querymodules %{_libdir}/gio/modules
:

%postun
%{_bindir}/gio-querymodules %{_libdir}/gio/modules
:

%files -f %{name}.lang
%defattr(-,root,root)
%if %with_libproxy
%{_libdir}/gio/modules/libgiolibproxy.so
%endif
%{_libdir}/gio/modules/libgiognomeproxy.so
%{_libexecdir}/glib-pacrunner
%{_userunitdir}/glib-pacrunner.service
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{_libdir}/gio/modules/libgiognutls.so
#%{_datadir}/%{name}/tests/*
%doc COPYING
#NEWS README

%changelog
* Sat Jan 04 2020 Automatic Build System <autodist@mambasoft.it> 2.62.3-1mamba
- automatic version update by autodist

* Mon Dec 09 2019 Automatic Build System <autodist@mambasoft.it> 2.62.2-1mamba
- automatic version update by autodist

* Sat Oct 05 2019 Automatic Build System <autodist@mambasoft.it> 2.62.1-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 2.62.0-1mamba
- automatic version update by autodist

* Mon Jun 10 2019 Automatic Build System <autodist@mambasoft.it> 2.60.3-1mamba
- automatic version update by autodist

* Fri May 03 2019 Automatic Build System <autodist@mambasoft.it> 2.60.2-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 2.60.1-1mamba
- automatic version update by autodist

* Thu Mar 14 2019 Automatic Build System <autodist@mambasoft.it> 2.60.0.1-1mamba
- automatic version update by autodist

* Tue Sep 18 2018 Automatic Build System <autodist@mambasoft.it> 2.58.0-1mamba
- automatic version update by autodist

* Sun Aug 12 2018 Automatic Build System <autodist@mambasoft.it> 2.56.1-1mamba
- automatic version update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 2.54.1-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 2.54.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 2.50.0-1mamba
- automatic version update by autodist

* Tue May 10 2016 Automatic Build System <autodist@mambasoft.it> 2.48.2-1mamba
- automatic version update by autodist

* Sat May 07 2016 Automatic Build System <autodist@mambasoft.it> 2.48.1-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 2.48.0-1mamba
- automatic version update by autodist

* Sat Nov 14 2015 Automatic Build System <autodist@mambasoft.it> 2.46.1-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 2.44.0-1mamba
- automatic version update by autodist

* Fri Dec 12 2014 Automatic Build System <autodist@mambasoft.it> 2.42.1-1mamba
- automatic update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 2.42.0-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Automatic Build System <autodist@mambasoft.it> 2.41.92-1mamba
- automatic update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 2.41.4-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 2.41.3-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 2.40.1-1mamba
- automatic version update by autodist

* Mon Mar 31 2014 Automatic Build System <autodist@mambasoft.it> 2.40.0-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 2.38.2-1mamba
- automatic version update by autodist

* Sun Oct 27 2013 Automatic Build System <autodist@mambasoft.it> 2.38.1-1mamba
- automatic version update by autodist

* Thu Aug 22 2013 Automatic Build System <autodist@mambasoft.it> 2.37.5-1mamba
- automatic update by autodist

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 2.37.4-1mamba
- automatic update by autodist

* Wed May 29 2013 Automatic Build System <autodist@mambasoft.it> 2.37.2-1mamba
- automatic update by autodist

* Wed May 01 2013 Automatic Build System <autodist@mambasoft.it> 2.37.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 2.36.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- automatic version update by autodist

* Thu Nov 15 2012 Automatic Build System <autodist@mambasoft.it> 2.34.2-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 2.34.0-1mamba
- automatic version update by autodist

* Tue May 15 2012 Automatic Build System <autodist@mambasoft.it> 2.32.3-1mamba
- automatic version update by autodist

* Tue Apr 17 2012 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic version update by autodist

* Wed Apr 04 2012 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic version update by autodist

* Sat Mar 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.2-2mamba
- provide correct path for ca-certificate ca-bundle.crt file

* Wed Jan 04 2012 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic version update by autodist

* Tue Oct 18 2011 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic version update by autodist

* Sun Oct 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.0-2mamba
- added requirement for gsettings-desktop-schemas

* Sat Oct 01 2011 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- update to 2.30.0

* Sun Jul 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.28.7-1mamba
- update to 2.28.7

* Wed Feb 23 2011 gil <puntogil@libero.it> 2.28.0-1mamba
- package created by autospec
